Lumaktaw sa nilalaman

Maya1

I-integrate

ID ng modelo maya
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/maya?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "text": "Hello from Doitong. This is a short test sentence.",
    "prompt": "Hello from Doitong. This is a short test sentence."
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Kahilingang ito: ≈$0.049 49 kredito ng API Patakbuhin ito sa page na ito

Kumuha ng API key
Maya Research Text patungong Speech #text-to-speech#tts

Expressive text-to-speech na may prompt para sa paglalarawan ng boses at inline emotion tags

Maya Research · audio

Dito mapupunta ang iyong unang resulta

Bumuo ng kahilingan sa ibaba at patakbuhin ito gamit ang iyong API key. Kinokopya ang mga output sa aming storage, na pinananatili nang walang hanggan o 7 araw nang libre.

Bumuo ng kahilingan

Ang mga control ay binubuo mula sa schema ng modelo. Nagbabago ang code at presyo habang ina-adjust mo ang mga ito.

•kinakailangan 50 / 5000

Text para sa speech synthesis na tumatanggap ng mga emotion tag sa anyong <emotion_name> sa anumang posisyon, gaya ng 'Hello world! <excited> This is amazing!' o 'I can't believe this <sigh> happened again.'. Ang mga sinusuportahang emotion ay curious, sarcastic, giggle, gulp, exhale, snort, sing, scream, cry, whisper, excited, angry, gasp, chuckle, sigh, laugh_harder, at laugh.

•kinakailangan 50 / 500

Mga katangian ng boses o character na ilalarawan, gaya ng intensity, tone, pacing, timbre, pitch, accent, at edad.

advanced sample_rate · output_format · temperature · top_p · max_tokens · repetition_penalty · enable_safety_checker
sample_rate default na 48 kHz

Pagpili ng audio sample rate sa pagitan ng mas mabilis na processing sa 24 kHz at mas mataas na kalidad ng output sa 48 kHz.

output_format default na wav

Format ng audio file na ginagamit para sa synthesized speech.

default na 0.4

Sampling temperature na kumokontrol sa variation ng audio: nagdaragdag ng pagkakaiba-iba ang pagtaas nito, samantalang pinapaboran ng mas mababang range na 0.2–0.5 ang stability at consistency.

default na 0.9

Setting ng nucleus sampling na nag-a-adjust sa diversity ng pagpili ng token.

default na 2000

SNAC token badyet na naglilimita sa tagal ng audio, na kinakalkula bilang 7 token bawat frame.

default na 1.1

Penalty na inilalapat sa pag-uulit ng token. Pinipigil ng pagtaas nito ang mga artifact na dulot ng pag-uulit.

POST /run/maya?wait=20 presyo → $0.049
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/maya?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "text": "Hello from Doitong. This is a short test sentence.",
    "prompt": "Hello from Doitong. This is a short test sentence."
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Patakbuhin ang kahilingang ito

Nananatili ang iyong key sa browser na ito: ipinapadala lamang ito sa Doitong API at sine-save (localStorage) lamang kung pipiliin mo ang Tandaan. Kumuha ng API key

Tungkol sa Maya1

Ginagawang speech ang tekstong hanggang 5000 karakter. Inilalarawan ng kinakailangang `prompt` na hanggang 500 karakter ang boses, gaya ng edad, accent at tono. Maaaring i-embed sa teksto ang emotion tag tulad ng laugh o whisper. Pumili ng 48 kHz o 24 kHz sample rate at wav o mp3 na output; nililimitahan ng `max_tokens` ang haba ng audio.

Mga parameter

PangalanUri defaultPinapayagan Paglalarawan
textkinakailangan
Uristring
≤ 5,000 character
Text para sa speech synthesis na tumatanggap ng mga emotion tag sa anyong <emotion_name> sa anumang posisyon, gaya ng 'Hello world! <excited> This is amazing!' o 'I can't believe this <sigh> happened again.'. Ang mga sinusuportahang emotion ay curious, sarcastic, giggle, gulp, exhale, snort, sing, scream, cry, whisper, excited, angry, gasp, chuckle, sigh, laugh_harder, at laugh.
promptkinakailangan
Uristring
≤ 500 character
Mga katangian ng boses o character na ilalarawan, gaya ng intensity, tone, pacing, timbre, pitch, accent, at edad.
temperatureopsyonal
Urinumber
default0.4
0 – 2
Sampling temperature na kumokontrol sa variation ng audio: nagdaragdag ng pagkakaiba-iba ang pagtaas nito, samantalang pinapaboran ng mas mababang range na 0.2–0.5 ang stability at consistency.
top_popsyonal
Urinumber
default0.9
0 – 1
Setting ng nucleus sampling na nag-a-adjust sa diversity ng pagpili ng token.
max_tokensopsyonal
Uriinteger
default2000
28 – 4,000
SNAC token badyet na naglilimita sa tagal ng audio, na kinakalkula bilang 7 token bawat frame.
repetition_penaltyopsyonal
Urinumber
default1.1
1 – 2
Penalty na inilalapat sa pag-uulit ng token. Pinipigil ng pagtaas nito ang mga artifact na dulot ng pag-uulit.
sample_rateopsyonal
Urienum
default48 kHz
48 kHz24 kHz
Pagpili ng audio sample rate sa pagitan ng mas mabilis na processing sa 24 kHz at mas mataas na kalidad ng output sa 48 kHz.
output_formatopsyonal
Urienum
defaultwav
wavmp3
Format ng audio file na ginagamit para sa synthesized speech.
enable_safety_checkeropsyonal
Uriboolean
defaulttrue
Maaaring luwagan ang screening sa pamamagitan ng pagtatakda ng false, kung awtorisado ang tumatawag.
kinakailangan

Output

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "maya",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 49,
    "usd": "0.049",
    "charged": 49,
    "refunded": 0
  },
  "input": {
    "text": "Hello from Doitong. This is a short test sentence.",
    "prompt": "Hello from Doitong. This is a short test sentence."
  },
  "output": {
    "audio": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_name": "0-output.mp3",
      "file_size": 1843200
    },
    "duration": 5,
    "sample_rate": "48 kHz",
    "generation_time": 2.3,
    "rtf": 0.51
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Ikaw ang pumipili para sa iyong mga fileAng bawat outputs[].url ay kopya sa aming storage: pinananatili nang walang hanggan (sinisingil bawat GB-month) o 7 araw nang libre, ayon sa setting ng iyong account o ?storage=.
Parehong shape sa bawat modelotype, url, content_type, width, height at duration, para sa mga larawan, video at audio. Ang output ay sariling result object ng modelo.
Mga field ng output
audio
object {url, content_type, file_name, file_size}Nabuong speech file sa WAV o MP3, na may mono audio sa 24 kHz o 48 kHz ayon sa itinakda ng upsampler.
duration
numberHaba ng audio output, sinusukat sa segundo.
sample_rate
stringSampling rate ng audio output.
generation_time
numberOras ng pagbuo ng audio, sinusukat sa segundo.
rtf
numberReal-time factor na kinakalkula bilang generation_time na hinati sa audio_duration; mas maliit na value ang nangangahulugang mas mahusay na performance.

Higit pang modelo: Text patungong Speech

Para sa mga AI agent: nasa Markdown ang pahinang ito sa https://doitong.com/fil/developers/models/maya.md. Lahat ng modelo at gabay: https://doitong.com/developers/llms.txt